#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.4
visibility:           public
id:                   persistent-test-2.13.0.4-FSUrfCCL0LHJKkIXet8o0H
key:                  persistent-test-2.13.0.4-FSUrfCCL0LHJKkIXet8o0H
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  7c506db004c0d885ea3452fd82861606
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.0.4-FSUrfCCL0LHJKkIXet8o0H
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-7iK1DMIteZqGNM8TzExDZa
    aeson-1.5.6.0-9Pr07X4KYAQGYkzJzuJMP6 base-4.15.1.0
    blaze-html-0.9.1.2-2kv76HnLOiwAp4tTkj3l75 bytestring-0.10.12.1
    conduit-1.3.4.2-ANsC6u5h1dvA454JbHPP8N containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.6-3CgWEaNdYmEEiFgDw48B2E
    hspec-expectations-0.8.2-6qi8cjonJ6NDcZGGp2xU9X
    http-api-data-0.4.3-LcE8PLua4jl9BVh252xwgo
    monad-control-1.0.3.1-5GW2P6v4ZZl60IjXmR48ZA
    monad-logger-0.3.36-FkYtHnTRuxF27nEZa96zZY mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.1-4NcpcutNa1D1rOVLkOUQ5
    quickcheck-instances-0.3.27-JA52FeSBrotI0V9KveASFZ
    random-1.2.1.1-9D10sZLOM5T93tMINb9MTT
    resourcet-1.2.5-8206UmUMunJDiN95rwKuqx text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-G3dCGNAaSb25woHEjIc2x
    unliftio-0.2.22.0-GmUrFWPrH9f4xIJwAszcDI
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-BhRjg5By7kU7pLGfSxEo3F

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

